REALPATH(1)

NAZWA
realpath - wypisuje rozwiązaną ścieżkę

SKŁADNIA
realpath [OPCJE]... PLIK...

OPIS

Wypisuje rozwiązaną, pełną nazwę pliku (ścieżkę); wszystkie składowe poza ostatnią muszą istnieć

-e, --canonicalize-existing
    wszystkie składowe ścieżki muszą istnieć

-m, --canonicalize-missing
    żadna z części ścieżki nie musi istnieć ani być katalogiem

-L, --logical
    rozwiązuje składowe ".." przed dowiązaniami symbolicznymi

-P, --physical
    rozwiązuje dowiązania symboliczne w kolejności ich wystąpienia (domyślnie)

-q, --quiet
    wyłącza wyświetlanie większości komunikatów o błędach

--relative-to=KATALOG
    wypisuje rozwiązaną ścieżkę w odniesieniu do KATALOGU

--relative-base=KATALOG
    wypisuje absolutne ścieżki, chyba że ścieżki znajdują się poniżej KATALOGU

-s, --strip, --no-symlinks
    nie rozwija dowiązań symbolicznych

-z, --zero
    kończy każdy wiersz bajtem NUL, zamiast znakiem nowego wiersza

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

AUTOR
Napisane przez Padraiga Bradyego.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2020 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
readlink(1), readlink(2), realpath(3)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/realpath>
lub lokalnie, za pomocą info '(coreutils) realpath invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.